Tasks:
======

* look at method#to_s to figure out what class or module defines it 
  (where to first look for help)
* if the module or class isn't loaded, look at the module docs to trace its
  inheritance tree for method help lookup
  - "Foo < Bar", ohh, look in Bar next
  - "Includes:... Baz, Enumerable", ooh, look in Baz and Enumerable too
* try to get the ancestor-lookup stuff into rdoc itself so that the help
  method can use rdoc directly without having to hack into the internals
  - global gains, ri'd work better too :)


Future:
=======

High-level goal: Learning Ruby from irb
 1. fire up irb
 2. type ihelp
 3. read
 4. emerge with understanding

Kinda like Python's help()

Things that would be nice
-------------------------
* Generate docs for a class if they don't exist
  - by running rdoc --ri on all loaded source files?
* Help browser (follow links, view method source, like www.ruby-doc.org)
* Integrate books into the help, and help into the books (_why's guide,
  pickaxe, others)
  - IHelp.books
  - IHelp.books['Pickaxe'].search "TCPServer"
  - book help integration == book method links bring up help docs
* Search facility
  - IHelp.search "pipe deadlock"
    - searches ri docs, books, mailinglist

Things that are needed for those
--------------------------------
* Help browser (just use the web browser?)
* Document format for the browser
* Books in the document format
* Mailing list search interface

Thoughts risen from the above
-----------------------------
* the help browser would be good to be _parallel_ to irb
  -> keep docs open while coding
